datablock ItemData(blankaBallItem)
{
	category = "Weapon";  // Mission editor category
	className = "Weapon"; // For inventory system

	// Basic item Properties
	shapeFile = "base/data/shapes/snowBall.dts";
	rotate = false;
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;
	
	//GUI stuff
	uiName = "Snowball";
	iconName = "./snowball";
	
	colorShiftColor = "1 1 1 1.000000";
	doColorShift = true;
	
	//Image stuff
	image = blankaBallImage;
	canDrop = true;
};

function blankaBallImage::onUnMount(%this, %obj, %slot) 
{											   
		Parent::onUnMount(%this, %obj, %slot);  //This prevents the snowball from being dropped when it's unmounted
												//I have no idea why this works but it does
}

function blankaBallImage::onFire(%this, %obj, %slot)
{
	%currSlot = %obj.currTool;

	%obj.tool[%currSlot] = 0;
	
	%obj.weaponCount--;
	
	serverCmdUnUseTool(%obj.client);
	
	messageClient(%obj.client,'MsgItemPickup','',%currSlot,0);
	
	Parent::onFire(%this, %obj, %slot);
}

function blankaBallImage::onMount(%this, %obj)
{
	%obj.playThread(0, armReady);
	return;
}

function blankaBallItem::onPickup(%this, %obj, %user, %amount)
{
	Parent::onPickup(%this, %obj, %user, %amount);
	
	%user.playThread(0, root);
}